## juce 5.4.4~repack0

=== examples/DemoRunner/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCE_DEMO_RUNNER=1 -DJUCE_UNIT_TESTS=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=5.4.4 -DJUCE_APP_VERSION_HEX=0x50404 $(shell pkg-config --cflags alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := DemoRunner

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) $(shell pkg-config --libs alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -lrt -ldl -lpthread -lGL $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCE_DEMO_RUNNER=1 -DJUCE_UNIT_TESTS=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=5.4.4 -DJUCE_APP_VERSION_HEX=0x50404 $(shell pkg-config --cflags alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := DemoRunner

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -O3 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) $(shell pkg-config --libs alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -fvisibility=hidden -lrt -ldl -lpthread -lGL $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_APP := \
  $(JUCE_OBJDIR)/DemoPIPs1_5b52b434.o \
  $(JUCE_OBJDIR)/DemoPIPs2_5b60cbb5.o \
  $(JUCE_OBJDIR)/JUCEDemos_5a07ba05.o \
  $(JUCE_OBJDIR)/DemoContentComponent_c5bb9cc3.o \
  $(JUCE_OBJDIR)/MainComponent_a54318d2.o \
  $(JUCE_OBJDIR)/Main_90ebc5c2.o \
  $(JUCE_OBJDIR)/include_juce_analytics_f8e9fa94.o \
  $(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o \
  $(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o \
  $(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o \
  $(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o \
  $(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o \
  $(JUCE_OBJDIR)/include_juce_blocks_basics_90805d6c.o \
  $(JUCE_OBJDIR)/include_juce_box2d_b0305d8b.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \
  $(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o \
  $(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o \
  $(JUCE_OBJDIR)/include_juce_dsp_aeb2060f.o \
  $(JUCE_OBJDIR)/include_juce_events_fd7d695.o \
  $(JUCE_OBJDIR)/include_juce_graphics_f817e147.o \
  $(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o \
  $(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o \
  $(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o \
  $(JUCE_OBJDIR)/include_juce_osc_f3df604d.o \
  $(JUCE_OBJDIR)/include_juce_product_unlocking_8278fcdc.o \
  $(JUCE_OBJDIR)/include_juce_video_be78589.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_APP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_APP) : $(OBJECTS_APP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl
	@echo Linking "DemoRunner - App"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_APP) $(OBJECTS_APP) $(JUCE_LDFLAGS) $(JUCE_LDFLAGS_APP) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/DemoPIPs1_5b52b434.o: ../../Source/Demos/DemoPIPs1.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling DemoPIPs1.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/DemoPIPs2_5b60cbb5.o: ../../Source/Demos/DemoPIPs2.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling DemoPIPs2.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/JUCEDemos_5a07ba05.o: ../../Source/Demos/JUCEDemos.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling JUCEDemos.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/DemoContentComponent_c5bb9cc3.o: ../../Source/UI/DemoContentComponent.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling DemoContentComponent.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/MainComponent_a54318d2.o: ../../Source/UI/MainComponent.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling MainComponent.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/Main_90ebc5c2.o: ../../Source/Main.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling Main.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_analytics_f8e9fa94.o: ../../JuceLibraryCode/include_juce_analytics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_analytics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o: ../../JuceLibraryCode/include_juce_audio_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o: ../../JuceLibraryCode/include_juce_audio_devices.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_devices.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o: ../../JuceLibraryCode/include_juce_audio_formats.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_formats.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o: ../../JuceLibraryCode/include_juce_audio_processors.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_processors.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o: ../../JuceLibraryCode/include_juce_audio_utils.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_utils.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_blocks_basics_90805d6c.o: ../../JuceLibraryCode/include_juce_blocks_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_blocks_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_box2d_b0305d8b.o: ../../JuceLibraryCode/include_juce_box2d.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_box2d.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_core_f26d17db.o: ../../JuceLibraryCode/include_juce_core.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_core.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o: ../../JuceLibraryCode/include_juce_cryptography.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_cryptography.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o: ../../JuceLibraryCode/include_juce_data_structures.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_data_structures.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_dsp_aeb2060f.o: ../../JuceLibraryCode/include_juce_dsp.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_dsp.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_events_fd7d695.o: ../../JuceLibraryCode/include_juce_events.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_events.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_graphics_f817e147.o: ../../JuceLibraryCode/include_juce_graphics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_graphics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o: ../../JuceLibraryCode/include_juce_gui_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o: ../../JuceLibraryCode/include_juce_gui_extra.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_extra.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o: ../../JuceLibraryCode/include_juce_opengl.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_opengl.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_osc_f3df604d.o: ../../JuceLibraryCode/include_juce_osc.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_osc.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_product_unlocking_8278fcdc.o: ../../JuceLibraryCode/include_juce_product_unlocking.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_product_unlocking.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_video_be78589.o: ../../JuceLibraryCode/include_juce_video.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_video.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

clean:
	@echo Cleaning DemoRunner
	$(V_AT)$(CLEANCMD)

strip:
	@echo Stripping DemoRunner
	-$(V_AT)$(STRIP) --strip-unneeded $(JUCE_OUTDIR)/$(TARGET)

-include $(OBJECTS_APP:%.o=%.d)

=== extras/AudioPerformanceTest/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := AudioPerformanceTest

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -lrt -ldl -lpthread $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := AudioPerformanceTest

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -O3 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -fvisibility=hidden -lrt -ldl -lpthread $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_APP := \
  $(JUCE_OBJDIR)/Main_90ebc5c2.o \
  $(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o \
  $(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o \
  $(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o \
  $(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o \
  $(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \
  $(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o \
  $(JUCE_OBJDIR)/include_juce_events_fd7d695.o \
  $(JUCE_OBJDIR)/include_juce_graphics_f817e147.o \
  $(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o \
  $(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_APP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_APP) : $(OBJECTS_APP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl
	@echo Linking "AudioPerformanceTest - App"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_APP) $(OBJECTS_APP) $(JUCE_LDFLAGS) $(JUCE_LDFLAGS_APP) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/Main_90ebc5c2.o: ../../Source/Main.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling Main.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o: ../../JuceLibraryCode/include_juce_audio_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o: ../../JuceLibraryCode/include_juce_audio_devices.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_devices.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o: ../../JuceLibraryCode/include_juce_audio_formats.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_formats.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o: ../../JuceLibraryCode/include_juce_audio_processors.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_processors.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o: ../../JuceLibraryCode/include_juce_audio_utils.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_utils.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_core_f26d17db.o: ../../JuceLibraryCode/include_juce_core.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_core.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o: ../../JuceLibraryCode/include_juce_data_structures.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_data_structures.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_events_fd7d695.o: ../../JuceLibraryCode/include_juce_events.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_events.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_graphics_f817e147.o: ../../JuceLibraryCode/include_juce_graphics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_graphics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o: ../../JuceLibraryCode/include_juce_gui_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o: ../../JuceLibraryCode/include_juce_gui_extra.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_extra.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

clean:
	@echo Cleaning AudioPerformanceTest
	$(V_AT)$(CLEANCMD)

strip:
	@echo Stripping AudioPerformanceTest
	-$(V_AT)$(STRIP) --strip-unneeded $(JUCE_OUTDIR)/$(TARGET)

-include $(OBJECTS_APP:%.o=%.d)

=== extras/AudioPluginHost/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa x11 xinerama xext freetype2 libcurl) -pthread -I../../../../modules/juce_audio_processors/format_types/VST3_SDK -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := AudioPluginHost

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa x11 xinerama xext freetype2 libcurl) -lrt -ldl -lpthread -lGL $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa x11 xinerama xext freetype2 libcurl) -pthread -I../../../../modules/juce_audio_processors/format_types/VST3_SDK -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := AudioPluginHost

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -Os $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa x11 xinerama xext freetype2 libcurl) -fvisibility=hidden -lrt -ldl -lpthread -lGL $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_APP := \
  $(JUCE_OBJDIR)/InternalPlugins_8278e3f5.o \
  $(JUCE_OBJDIR)/IOConfigurationWindow_d71a5732.o \
  $(JUCE_OBJDIR)/PluginGraph_6bd15e2d.o \
  $(JUCE_OBJDIR)/GraphEditorPanel_2223d925.o \
  $(JUCE_OBJDIR)/MainHostWindow_b3494acd.o \
  $(JUCE_OBJDIR)/HostStartup_5ce96f96.o \
  $(JUCE_OBJDIR)/BinaryData_ce4232d4.o \
  $(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o \
  $(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o \
  $(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o \
  $(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o \
  $(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \
  $(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o \
  $(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o \
  $(JUCE_OBJDIR)/include_juce_events_fd7d695.o \
  $(JUCE_OBJDIR)/include_juce_graphics_f817e147.o \
  $(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o \
  $(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o \
  $(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o \
  $(JUCE_OBJDIR)/include_juce_video_be78589.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_APP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_APP) : $(OBJECTS_APP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors alsa x11 xinerama xext freetype2 libcurl
	@echo Linking "AudioPluginHost - App"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_APP) $(OBJECTS_APP) $(JUCE_LDFLAGS) $(JUCE_LDFLAGS_APP) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/InternalPlugins_8278e3f5.o: ../../Source/Plugins/InternalPlugins.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling InternalPlugins.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/IOConfigurationWindow_d71a5732.o: ../../Source/Plugins/IOConfigurationWindow.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling IOConfigurationWindow.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/PluginGraph_6bd15e2d.o: ../../Source/Plugins/PluginGraph.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling PluginGraph.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/GraphEditorPanel_2223d925.o: ../../Source/UI/GraphEditorPanel.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling GraphEditorPanel.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/MainHostWindow_b3494acd.o: ../../Source/UI/MainHostWindow.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling MainHostWindow.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/HostStartup_5ce96f96.o: ../../Source/HostStartup.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling HostStartup.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/BinaryData_ce4232d4.o: ../../JuceLibraryCode/BinaryData.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling BinaryData.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o: ../../JuceLibraryCode/include_juce_audio_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o: ../../JuceLibraryCode/include_juce_audio_devices.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_devices.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o: ../../JuceLibraryCode/include_juce_audio_formats.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_formats.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o: ../../JuceLibraryCode/include_juce_audio_processors.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_processors.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o: ../../JuceLibraryCode/include_juce_audio_utils.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_utils.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_core_f26d17db.o: ../../JuceLibraryCode/include_juce_core.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_core.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o: ../../JuceLibraryCode/include_juce_cryptography.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_cryptography.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o: ../../JuceLibraryCode/include_juce_data_structures.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_data_structures.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_events_fd7d695.o: ../../JuceLibraryCode/include_juce_events.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_events.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_graphics_f817e147.o: ../../JuceLibraryCode/include_juce_graphics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_graphics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o: ../../JuceLibraryCode/include_juce_gui_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o: ../../JuceLibraryCode/include_juce_gui_extra.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_extra.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o: ../../JuceLibraryCode/include_juce_opengl.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_opengl.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_video_be78589.o: ../../JuceLibraryCode/include_juce_video.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_video.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

clean:
	@echo Cleaning AudioPluginHost
	$(V_AT)$(CLEANCMD)

strip:
	@echo Stripping AudioPluginHost
	-$(V_AT)$(STRIP) --strip-unneeded $(JUCE_OUTDIR)/$(TARGET)

-include $(OBJECTS_APP:%.o=%.d)

=== extras/BinaryBuilder/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_CONSOLEAPP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_CONSOLEAPP := BinaryBuilder

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs libcurl) -lrt -ldl -lpthread $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_CONSOLEAPP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_CONSOLEAPP := BinaryBuilder

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -Os $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs libcurl) -fvisibility=hidden -lrt -ldl -lpthread $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_CONSOLEAPP := \
  $(JUCE_OBJDIR)/Main_90ebc5c2.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_CONSOLEAPP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_CONSOLEAPP) : $(OBJECTS_CONSOLEAPP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors libcurl
	@echo Linking "BinaryBuilder - ConsoleApp"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_CONSOLEAPP) $(OBJECTS_CONSOLEAPP) $(JUCE_LDFLAGS) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/Main_90ebc5c2.o: ../../Source/Main.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling Main.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_core_f26d17db.o: ../../JuceLibraryCode/include_juce_core.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_core.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

clean:
	@echo Cleaning BinaryBuilder
	$(V_AT)$(CLEANCMD)

strip:
	@echo Stripping BinaryBuilder
	-$(V_AT)$(STRIP) --strip-unneeded $(JUCE_OUTDIR)/$(TARGET)

-include $(OBJECTS_CONSOLEAPP:%.o=%.d)

=== extras/NetworkGraphicsDemo/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := JUCE\ Network\ Graphics\ Demo

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -lrt -ldl -lpthread -lGL $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := JUCE\ Network\ Graphics\ Demo

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -O3 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -fvisibility=hidden -lrt -ldl -lpthread -lGL $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_APP := \
  $(JUCE_OBJDIR)/Main_90ebc5c2.o \
  $(JUCE_OBJDIR)/BinaryData_ce4232d4.o \
  $(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o \
  $(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o \
  $(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o \
  $(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o \
  $(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \
  $(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o \
  $(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o \
  $(JUCE_OBJDIR)/include_juce_events_fd7d695.o \
  $(JUCE_OBJDIR)/include_juce_graphics_f817e147.o \
  $(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o \
  $(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o \
  $(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o \
  $(JUCE_OBJDIR)/include_juce_osc_f3df604d.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_APP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_APP) : $(OBJECTS_APP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl
	@echo Linking "NetworkGraphicsDemo - App"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_APP) $(OBJECTS_APP) $(JUCE_LDFLAGS) $(JUCE_LDFLAGS_APP) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/Main_90ebc5c2.o: ../../Source/Main.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling Main.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/BinaryData_ce4232d4.o: ../../JuceLibraryCode/BinaryData.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling BinaryData.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o: ../../JuceLibraryCode/include_juce_audio_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o: ../../JuceLibraryCode/include_juce_audio_devices.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_devices.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o: ../../JuceLibraryCode/include_juce_audio_formats.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_formats.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o: ../../JuceLibraryCode/include_juce_audio_processors.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_processors.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o: ../../JuceLibraryCode/include_juce_audio_utils.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_utils.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_core_f26d17db.o: ../../JuceLibraryCode/include_juce_core.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_core.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o: ../../JuceLibraryCode/include_juce_cryptography.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_cryptography.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o: ../../JuceLibraryCode/include_juce_data_structures.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_data_structures.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_events_fd7d695.o: ../../JuceLibraryCode/include_juce_events.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_events.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_graphics_f817e147.o: ../../JuceLibraryCode/include_juce_graphics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_graphics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o: ../../JuceLibraryCode/include_juce_gui_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o: ../../JuceLibraryCode/include_juce_gui_extra.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_extra.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o: ../../JuceLibraryCode/include_juce_opengl.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_opengl.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_osc_f3df604d.o: ../../JuceLibraryCode/include_juce_osc.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_osc.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

clean:
	@echo Cleaning NetworkGraphicsDemo
	$(V_AT)$(CLEANCMD)

strip:
	@echo Stripping NetworkGraphicsDemo
	-$(V_AT)$(STRIP) --strip-unneeded $(JUCE_OUTDIR)/$(TARGET)

-include $(OBJECTS_APP:%.o=%.d)

=== extras/Projucer/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=5.4.4 -DJUCE_APP_VERSION_HEX=0x50404 $(shell pkg-config --cflags x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := Projucer

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++11 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) $(shell pkg-config --libs x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0) -lrt -ldl -lpthread $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=5.4.4 -DJUCE_APP_VERSION_HEX=0x50404 $(shell pkg-config --cflags x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_APP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_APP := Projucer

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -O3 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++11 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) $(shell pkg-config --libs x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0) -fvisibility=hidden -lrt -ldl -lpthread $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_APP := \
  $(JUCE_OBJDIR)/jucer_AutoUpdater_ca658dc2.o \
  $(JUCE_OBJDIR)/jucer_CommandLine_f35de107.o \
  $(JUCE_OBJDIR)/jucer_Main_f8488f5b.o \
  $(JUCE_OBJDIR)/jucer_MainWindow_1e163aeb.o \
  $(JUCE_OBJDIR)/jucer_ProjucerAnalytics_5740f336.o \
  $(JUCE_OBJDIR)/jucer_DocumentEditorComponent_bc853a2f.o \
  $(JUCE_OBJDIR)/jucer_OpenDocumentManager_ba866622.o \
  $(JUCE_OBJDIR)/jucer_SourceCodeEditor_55965985.o \
  $(JUCE_OBJDIR)/jucer_ComponentTypeHandler_d7e70242.o \
  $(JUCE_OBJDIR)/jucer_ButtonDocument_b2cabdec.o \
  $(JUCE_OBJDIR)/jucer_ComponentDocument_1d8c1063.o \
  $(JUCE_OBJDIR)/jucer_ColouredElement_acb45c39.o \
  $(JUCE_OBJDIR)/jucer_PaintElement_db652060.o \
  $(JUCE_OBJDIR)/jucer_PaintElementGroup_256346c9.o \
  $(JUCE_OBJDIR)/jucer_PaintElementImage_49702ba5.o \
  $(JUCE_OBJDIR)/jucer_PaintElementPath_d1b280a5.o \
  $(JUCE_OBJDIR)/jucer_ComponentLayoutEditor_4fc44b8d.o \
  $(JUCE_OBJDIR)/jucer_ComponentOverlayComponent_5e028963.o \
  $(JUCE_OBJDIR)/jucer_EditingPanelBase_28115dee.o \
  $(JUCE_OBJDIR)/jucer_JucerDocumentEditor_89371a26.o \
  $(JUCE_OBJDIR)/jucer_PaintRoutineEditor_43fd8744.o \
  $(JUCE_OBJDIR)/jucer_PaintRoutinePanel_83779cd7.o \
  $(JUCE_OBJDIR)/jucer_ResourceEditorPanel_237eee2.o \
  $(JUCE_OBJDIR)/jucer_TestComponent_1a4179c4.o \
  $(JUCE_OBJDIR)/jucer_BinaryResources_e0f99b46.o \
  $(JUCE_OBJDIR)/jucer_ComponentLayout_6ea00129.o \
  $(JUCE_OBJDIR)/jucer_GeneratedCode_9ca4ef7e.o \
  $(JUCE_OBJDIR)/jucer_JucerDocument_ff8afcc2.o \
  $(JUCE_OBJDIR)/jucer_ObjectTypes_4406f01c.o \
  $(JUCE_OBJDIR)/jucer_PaintRoutine_e1e891ee.o \
  $(JUCE_OBJDIR)/jucer_LicenseController_9abff0cf.o \
  $(JUCE_OBJDIR)/jucer_CompileEngineClient_aee8c99c.o \
  $(JUCE_OBJDIR)/jucer_CompileEngineServer_5d8914.o \
  $(JUCE_OBJDIR)/jucer_DownloadCompileEngineThread_19bb4bb3.o \
  $(JUCE_OBJDIR)/jucer_HeaderComponent_1ebf72ba.o \
  $(JUCE_OBJDIR)/jucer_Module_3f7666a5.o \
  $(JUCE_OBJDIR)/jucer_Project_c131864a.o \
  $(JUCE_OBJDIR)/jucer_ProjectExporter_cf377b25.o \
  $(JUCE_OBJDIR)/jucer_ProjectSaver_4276639b.o \
  $(JUCE_OBJDIR)/jucer_ResourceFile_74b61849.o \
  $(JUCE_OBJDIR)/jucer_AppearanceSettings_fa5d736e.o \
  $(JUCE_OBJDIR)/jucer_StoredSettings_c7168d2d.o \
  $(JUCE_OBJDIR)/jucer_CodeHelpers_1e797672.o \
  $(JUCE_OBJDIR)/jucer_FileHelpers_54f12f83.o \
  $(JUCE_OBJDIR)/jucer_MiscUtilities_31fc8dd8.o \
  $(JUCE_OBJDIR)/jucer_PIPGenerator_fd3402c7.o \
  $(JUCE_OBJDIR)/jucer_Icons_d02d18f1.o \
  $(JUCE_OBJDIR)/jucer_JucerTreeViewBase_9b9f2ff0.o \
  $(JUCE_OBJDIR)/jucer_ProjucerLookAndFeel_3b20291d.o \
  $(JUCE_OBJDIR)/jucer_SlidingPanelComponent_4e7dc07e.o \
  $(JUCE_OBJDIR)/jucer_NewFileWizard_fac97f47.o \
  $(JUCE_OBJDIR)/jucer_NewProjectWizardClasses_891f6fa2.o \
  $(JUCE_OBJDIR)/BinaryData_ce4232d4.o \
  $(JUCE_OBJDIR)/include_juce_analytics_f8e9fa94.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \
  $(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o \
  $(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o \
  $(JUCE_OBJDIR)/include_juce_events_fd7d695.o \
  $(JUCE_OBJDIR)/include_juce_graphics_f817e147.o \
  $(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o \
  $(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_APP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_APP) : $(OBJECTS_APP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0
	@echo Linking "Projucer - App"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_APP) $(OBJECTS_APP) $(JUCE_LDFLAGS) $(JUCE_LDFLAGS_APP) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/jucer_AutoUpdater_ca658dc2.o: ../../Source/Application/jucer_AutoUpdater.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_AutoUpdater.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_CommandLine_f35de107.o: ../../Source/Application/jucer_CommandLine.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_CommandLine.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_Main_f8488f5b.o: ../../Source/Application/jucer_Main.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_Main.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_MainWindow_1e163aeb.o: ../../Source/Application/jucer_MainWindow.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_MainWindow.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_ProjucerAnalytics_5740f336.o: ../../Source/Application/jucer_ProjucerAnalytics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_ProjucerAnalytics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_DocumentEditorComponent_bc853a2f.o: ../../Source/CodeEditor/jucer_DocumentEditorComponent.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_DocumentEditorComponent.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_OpenDocumentManager_ba866622.o: ../../Source/CodeEditor/jucer_OpenDocumentManager.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_OpenDocumentManager.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_SourceCodeEditor_55965985.o: ../../Source/CodeEditor/jucer_SourceCodeEditor.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_SourceCodeEditor.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_ComponentTypeHandler_d7e70242.o: ../../Source/ComponentEditor/Components/jucer_ComponentTypeHandler.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_ComponentTypeHandler.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_ButtonDocument_b2cabdec.o: ../../Source/ComponentEditor/Documents/jucer_ButtonDocument.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_ButtonDocument.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_ComponentDocument_1d8c1063.o: ../../Source/ComponentEditor/Documents/jucer_ComponentDocument.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_ComponentDocument.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_ColouredElement_acb45c39.o: ../../Source/ComponentEditor/PaintElements/jucer_ColouredElement.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_ColouredElement.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_PaintElement_db652060.o: ../../Source/ComponentEditor/PaintElements/jucer_PaintElement.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_PaintElement.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_PaintElementGroup_256346c9.o: ../../Source/ComponentEditor/PaintElements/jucer_PaintElementGroup.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_PaintElementGroup.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_PaintElementImage_49702ba5.o: ../../Source/ComponentEditor/PaintElements/jucer_PaintElementImage.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_PaintElementImage.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_PaintElementPath_d1b280a5.o: ../../Source/ComponentEditor/PaintElements/jucer_PaintElementPath.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_PaintElementPath.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_ComponentLayoutEditor_4fc44b8d.o: ../../Source/ComponentEditor/UI/jucer_ComponentLayoutEditor.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_ComponentLayoutEditor.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_ComponentOverlayComponent_5e028963.o: ../../Source/ComponentEditor/UI/jucer_ComponentOverlayComponent.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_ComponentOverlayComponent.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_EditingPanelBase_28115dee.o: ../../Source/ComponentEditor/UI/jucer_EditingPanelBase.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling jucer_EditingPanelBase.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_APP) $(JUCE_CFLAGS_APP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/jucer_JucerDocumentEditor_89371a26.o: ../../Source/ComponentEditor/UI/jucer_JucerDocumentEditor.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)

=== extras/UnitTestRunner/Builds/LinuxMakefile/Makefile ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

# build with "V=1" for verbose builds
ifeq ($(V), 1)
V_AT =
else
V_AT = @
endif

# (this disables dependency generation if multiple architectures are set)
DEPFLAGS := $(if $(word 2, $(TARGET_ARCH)), , -MMD)

ifndef STRIP
  STRIP=strip
endif

ifndef AR
  AR=ar
endif

ifndef CONFIG
  CONFIG=Debug
endif

JUCE_ARCH_LABEL := $(shell uname -m)

ifeq ($(CONFIG),Debug)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Debug
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DDEBUG=1 -D_DEBUG=1 -DJUCE_UNIT_TESTS=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_CONSOLEAPP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_CONSOLEAPP := UnitTestRunner

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -lrt -ldl -lpthread -lGL $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

ifeq ($(CONFIG),Release)
  JUCE_BINDIR := build
  JUCE_LIBDIR := build
  JUCE_OBJDIR := build/intermediate/Release
  JUCE_OUTDIR := build

  ifeq ($(TARGET_ARCH),)
    TARGET_ARCH := -march=native
  endif

  JUCE_CPPFLAGS := $(DEPFLAGS) -DLINUX=1 -DNDEBUG=1 -DJUCE_UNIT_TESTS=1 -DJUCER_LINUX_MAKE_6D53C8B4=1 -DJUCE_APP_VERSION=1.0.0 -DJUCE_APP_VERSION_HEX=0x10000 $(shell pkg-config --cflags alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -pthread -I../../JuceLibraryCode -I../../../../modules $(CPPFLAGS)
  JUCE_CPPFLAGS_CONSOLEAPP := -DJucePlugin_Build_VST=0 -DJucePlugin_Build_VST3=0 -DJucePlugin_Build_AU=0 -DJucePlugin_Build_AUv3=0 -DJucePlugin_Build_RTAS=0 -DJucePlugin_Build_AAX=0 -DJucePlugin_Build_Standalone=0 -DJucePlugin_Build_Unity=0
  JUCE_TARGET_CONSOLEAPP := UnitTestRunner

  JUCE_CFLAGS += $(JUCE_CPPFLAGS) $(TARGET_ARCH) -O3 $(CFLAGS)
  JUCE_CXXFLAGS += $(JUCE_CFLAGS) -std=c++14 $(CXXFLAGS)
  JUCE_LDFLAGS += $(TARGET_ARCH) -L$(JUCE_BINDIR) -L$(JUCE_LIBDIR) -L/usr/X11R6/lib/ $(shell pkg-config --libs alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl) -fvisibility=hidden -lrt -ldl -lpthread -lGL $(LDFLAGS)

  CLEANCMD = rm -rf $(JUCE_OUTDIR)/$(TARGET) $(JUCE_OBJDIR)
endif

OBJECTS_CONSOLEAPP := \
  $(JUCE_OBJDIR)/Main_90ebc5c2.o \
  $(JUCE_OBJDIR)/include_juce_analytics_f8e9fa94.o \
  $(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o \
  $(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o \
  $(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o \
  $(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o \
  $(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o \
  $(JUCE_OBJDIR)/include_juce_blocks_basics_90805d6c.o \
  $(JUCE_OBJDIR)/include_juce_core_f26d17db.o \
  $(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o \
  $(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o \
  $(JUCE_OBJDIR)/include_juce_dsp_aeb2060f.o \
  $(JUCE_OBJDIR)/include_juce_events_fd7d695.o \
  $(JUCE_OBJDIR)/include_juce_graphics_f817e147.o \
  $(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o \
  $(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o \
  $(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o \
  $(JUCE_OBJDIR)/include_juce_osc_f3df604d.o \
  $(JUCE_OBJDIR)/include_juce_product_unlocking_8278fcdc.o \
  $(JUCE_OBJDIR)/include_juce_video_be78589.o \

.PHONY: clean all strip

all : $(JUCE_OUTDIR)/$(JUCE_TARGET_CONSOLEAPP)

$(JUCE_OUTDIR)/$(JUCE_TARGET_CONSOLEAPP) : $(OBJECTS_CONSOLEAPP) $(RESOURCES)
	@command -v pkg-config >/dev/null 2>&1 || { echo >&2 "pkg-config not installed. Please, install it."; exit 1; }
	@pkg-config --print-errors alsa x11 xinerama xext freetype2 webkit2gtk-4.0 gtk+-x11-3.0 libcurl
	@echo Linking "UnitTestRunner - ConsoleApp"
	-$(V_AT)mkdir -p $(JUCE_BINDIR)
	-$(V_AT)mkdir -p $(JUCE_LIBDIR)
	-$(V_AT)mkdir -p $(JUCE_OUTDIR)
	$(V_AT)$(CXX) -o $(JUCE_OUTDIR)/$(JUCE_TARGET_CONSOLEAPP) $(OBJECTS_CONSOLEAPP) $(JUCE_LDFLAGS) $(RESOURCES) $(TARGET_ARCH)

$(JUCE_OBJDIR)/Main_90ebc5c2.o: ../../Source/Main.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling Main.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_analytics_f8e9fa94.o: ../../JuceLibraryCode/include_juce_analytics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_analytics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_basics_8a4e984a.o: ../../JuceLibraryCode/include_juce_audio_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_devices_63111d02.o: ../../JuceLibraryCode/include_juce_audio_devices.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_devices.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_formats_15f82001.o: ../../JuceLibraryCode/include_juce_audio_formats.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_formats.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_processors_10c03666.o: ../../JuceLibraryCode/include_juce_audio_processors.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_processors.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_audio_utils_9f9fb2d6.o: ../../JuceLibraryCode/include_juce_audio_utils.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_audio_utils.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_blocks_basics_90805d6c.o: ../../JuceLibraryCode/include_juce_blocks_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_blocks_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_core_f26d17db.o: ../../JuceLibraryCode/include_juce_core.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_core.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_cryptography_8cb807a8.o: ../../JuceLibraryCode/include_juce_cryptography.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_cryptography.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_data_structures_7471b1e3.o: ../../JuceLibraryCode/include_juce_data_structures.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_data_structures.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_dsp_aeb2060f.o: ../../JuceLibraryCode/include_juce_dsp.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_dsp.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_events_fd7d695.o: ../../JuceLibraryCode/include_juce_events.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_events.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_graphics_f817e147.o: ../../JuceLibraryCode/include_juce_graphics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_graphics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_basics_e3f79785.o: ../../JuceLibraryCode/include_juce_gui_basics.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_basics.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_gui_extra_6dee1c1a.o: ../../JuceLibraryCode/include_juce_gui_extra.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_gui_extra.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_opengl_a8a032b.o: ../../JuceLibraryCode/include_juce_opengl.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_opengl.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_osc_f3df604d.o: ../../JuceLibraryCode/include_juce_osc.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_osc.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_product_unlocking_8278fcdc.o: ../../JuceLibraryCode/include_juce_product_unlocking.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_product_unlocking.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

$(JUCE_OBJDIR)/include_juce_video_be78589.o: ../../JuceLibraryCode/include_juce_video.cpp
	-$(V_AT)mkdir -p $(JUCE_OBJDIR)
	@echo "Compiling include_juce_video.cpp"
	$(V_AT)$(CXX) $(JUCE_CXXFLAGS) $(JUCE_CPPFLAGS_CONSOLEAPP) $(JUCE_CFLAGS_CONSOLEAPP) -o "$@" -c "$<"

clean:
	@echo Cleaning UnitTestRunner
	$(V_AT)$(CLEANCMD)

strip:
	@echo Stripping UnitTestRunner
	-$(V_AT)$(STRIP) --strip-unneeded $(JUCE_OUTDIR)/$(TARGET)

-include $(OBJECTS_CONSOLEAPP:%.o=%.d)

=== examples/DemoRunner/Builds/Android/app/CMakeLists.txt ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

cmake_minimum_required(VERSION 3.4.1)

SET(BINARY_NAME "juce_jni")

add_library("cpufeatures" STATIC "${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c")
set_source_files_properties("${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c" PROPERTIES COMPILE_FLAGS "-Wno-sign-conversion -Wno-gnu-statement-expression")

add_definitions("-DJUCE_ANDROID=1" "-DJUCE_ANDROID_API_VERSION=23" "-DJUCE_PUSH_NOTIFICATIONS=1" "-DJUCE_PUSH_NOTIFICATIONS_ACTIVITY=\"com/roli/juce/JuceActivity\"" "-DJUCE_ANDROID_GL_ES_VERSION_3_0=1" "-DJUCE_DEMO_RUNNER=1" "-DJUCE_UNIT_TESTS=1" "-DJUCER_ANDROIDSTUDIO_7F0E4A25=1" "-DJUCE_APP_VERSION=5.4.4" "-DJUCE_APP_VERSION_HEX=0x50404")

include_directories( AFTER
    "../../../JuceLibraryCode"
    "../../../../../modules"
    "${ANDROID_NDK}/sources/android/cpufeatures"
)

enable_language(ASM)

IF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    add_definitions("-DDEBUG=1" "-D_DEBUG=1")
ELSEIF(JUCE_BUILD_CONFIGURATION MATCHES "RELEASE")
    add_definitions("-DNDEBUG=1")
ELSE(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    MESSAGE( FATAL_ERROR "No matching build-configuration found." )
ENDIF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")

add_library( ${BINARY_NAME}

    SHARED

    "../../../Source/Demos/DemoPIPs1.cpp"
    "../../../Source/Demos/DemoPIPs2.cpp"
    "../../../Source/Demos/IntroScreen.h"
    "../../../Source/Demos/JUCEDemos.cpp"
    "../../../Source/Demos/JUCEDemos.h"
    "../../../Source/UI/DemoContentComponent.cpp"
    "../../../Source/UI/DemoContentComponent.h"
    "../../../Source/UI/MainComponent.cpp"
    "../../../Source/UI/MainComponent.h"
    "../../../Source/UI/SettingsContent.h"
    "../../../Source/Main.cpp"
    "../../../Source/JUCEAppIcon.png"
    "../../../../../modules/juce_analytics/analytics/juce_Analytics.cpp"
    "../../../../../modules/juce_analytics/analytics/juce_Analytics.h"
    "../../../../../modules/juce_analytics/analytics/juce_ButtonTracker.cpp"
    "../../../../../modules/juce_analytics/analytics/juce_ButtonTracker.h"
    "../../../../../modules/juce_analytics/destinations/juce_AnalyticsDestination.h"
    "../../../../../modules/juce_analytics/destinations/juce_ThreadedAnalyticsDestination.cpp"
    "../../../../../modules/juce_analytics/destinations/juce_ThreadedAnalyticsDestination.h"
    "../../../../../modules/juce_analytics/juce_analytics.cpp"
    "../../../../../modules/juce_analytics/juce_analytics.h"
    "../../../../../modules/juce_audio_basics/audio_play_head/juce_AudioPlayHead.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioSampleBuffer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.h"
    "../../../../../modules/juce_audio_basics/native/juce_mac_CoreAudioLayouts.h"
    "../../../../../modules/juce_audio_basics/sources/juce_AudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_PositionableAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.h"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.cpp"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_ADSR.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_CatmullRomInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_CatmullRomInterpolator.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_Decibels.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_IIRFilter.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_IIRFilter.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_LagrangeInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_LagrangeInterpolator.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_Reverb.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_SmoothedValue.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_SmoothedValue.h"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.cpp"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.mm"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_SystemAudioVolume.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiDevices.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiDevices.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.h"
    "../../../../../modules/juce_audio_devices/native/juce_android_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Oboe.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_OpenSL.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.h"
    "../../../../../modules/juce_audio_devices/native/juce_linux_ALSA.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Bela.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_JackAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreMidi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_MidiDataConcatenator.h"
    "../../../../../modules/juce_audio_devices/native/juce_win32_ASIO.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_DirectSound.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_WASAPI.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.h"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.h"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.cpp"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.mm"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/all.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitmath.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitreader.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitwriter.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/cpu.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/crc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/fixed.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/float.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/format.h"

=== extras/AudioPerformanceTest/Builds/Android/app/CMakeLists.txt ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

cmake_minimum_required(VERSION 3.4.1)

SET(BINARY_NAME "juce_jni")

add_library("cpufeatures" STATIC "${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c")
set_source_files_properties("${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c" PROPERTIES COMPILE_FLAGS "-Wno-sign-conversion -Wno-gnu-statement-expression")

add_definitions("-DJUCE_ANDROID=1" "-DJUCE_ANDROID_API_VERSION=23" "-DJUCE_PUSH_NOTIFICATIONS=1" "-DJUCE_PUSH_NOTIFICATIONS_ACTIVITY=\"com/roli/juce/JuceActivity\"" "-DJUCE_ANDROID_GL_ES_VERSION_3_0=1" "-DJUCER_ANDROIDSTUDIO_7F0E4A25=1" "-DJUCE_APP_VERSION=1.0.0" "-DJUCE_APP_VERSION_HEX=0x10000")

include_directories( AFTER
    "../../../JuceLibraryCode"
    "../../../../../modules"
    "${ANDROID_NDK}/sources/android/cpufeatures"
)

enable_language(ASM)

IF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    add_definitions("-DDEBUG=1" "-D_DEBUG=1")
ELSEIF(JUCE_BUILD_CONFIGURATION MATCHES "RELEASE")
    add_definitions("-DNDEBUG=1")
ELSE(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    MESSAGE( FATAL_ERROR "No matching build-configuration found." )
ENDIF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")

add_library( ${BINARY_NAME}

    SHARED

    "../../../Source/Main.cpp"
    "../../../Source/MainComponent.h"
    "../../../../../modules/juce_audio_basics/audio_play_head/juce_AudioPlayHead.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioSampleBuffer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.h"
    "../../../../../modules/juce_audio_basics/native/juce_mac_CoreAudioLayouts.h"
    "../../../../../modules/juce_audio_basics/sources/juce_AudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_PositionableAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.h"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.cpp"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_ADSR.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_CatmullRomInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_CatmullRomInterpolator.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_Decibels.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_IIRFilter.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_IIRFilter.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_LagrangeInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_LagrangeInterpolator.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_Reverb.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_SmoothedValue.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_SmoothedValue.h"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.cpp"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.mm"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_SystemAudioVolume.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiDevices.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiDevices.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.h"
    "../../../../../modules/juce_audio_devices/native/juce_android_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Oboe.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_OpenSL.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.h"
    "../../../../../modules/juce_audio_devices/native/juce_linux_ALSA.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Bela.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_JackAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreMidi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_MidiDataConcatenator.h"
    "../../../../../modules/juce_audio_devices/native/juce_win32_ASIO.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_DirectSound.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_WASAPI.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.h"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.h"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.cpp"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.mm"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/all.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitmath.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitreader.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitwriter.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/cpu.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/crc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/fixed.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/float.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/format.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/lpc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/md5.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/memory.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/metadata.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/stream_encoder.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/stream_encoder_framing.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/window.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/protected/all.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/protected/stream_decoder.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/protected/stream_encoder.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/bitmath.c"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/bitreader.c"

=== extras/AudioPluginHost/Builds/Android/app/CMakeLists.txt ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

cmake_minimum_required(VERSION 3.4.1)

SET(BINARY_NAME "juce_jni")

add_library("cpufeatures" STATIC "${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c")
set_source_files_properties("${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c" PROPERTIES COMPILE_FLAGS "-Wno-sign-conversion -Wno-gnu-statement-expression")

add_definitions("-DJUCE_ANDROID=1" "-DJUCE_ANDROID_API_VERSION=23" "-DJUCE_PUSH_NOTIFICATIONS=1" "-DJUCE_PUSH_NOTIFICATIONS_ACTIVITY=\"com/roli/juce/JuceActivity\"" "-DJUCE_ANDROID_GL_ES_VERSION_3_0=1" "-DJUCER_ANDROIDSTUDIO_7F0E4A25=1" "-DJUCE_APP_VERSION=1.0.0" "-DJUCE_APP_VERSION_HEX=0x10000")

include_directories( AFTER
    "../../../../../modules/juce_audio_processors/format_types/VST3_SDK"
    "../../../JuceLibraryCode"
    "../../../../../modules"
    "${ANDROID_NDK}/sources/android/cpufeatures"
)

enable_language(ASM)

IF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    add_definitions("-DDEBUG=1" "-D_DEBUG=1")
ELSEIF(JUCE_BUILD_CONFIGURATION MATCHES "RELEASE")
    add_definitions("-DNDEBUG=1")
    if(NOT (ANDROID_ABI STREQUAL "mips" OR ANDROID_ABI STREQUAL "mips64"))
        SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -flto")
        SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -flto")
        SET(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} -flto")
    ENDIF(NOT (ANDROID_ABI STREQUAL "mips" OR ANDROID_ABI STREQUAL "mips64"))
ELSE(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    MESSAGE( FATAL_ERROR "No matching build-configuration found." )
ENDIF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")

add_library( ${BINARY_NAME}

    SHARED

    "../../../Source/Plugins/InternalPlugins.cpp"
    "../../../Source/Plugins/InternalPlugins.h"
    "../../../Source/Plugins/IOConfigurationWindow.cpp"
    "../../../Source/Plugins/IOConfigurationWindow.h"
    "../../../Source/Plugins/PluginGraph.cpp"
    "../../../Source/Plugins/PluginGraph.h"
    "../../../Source/UI/GraphEditorPanel.cpp"
    "../../../Source/UI/GraphEditorPanel.h"
    "../../../Source/UI/MainHostWindow.cpp"
    "../../../Source/UI/MainHostWindow.h"
    "../../../Source/UI/PluginWindow.h"
    "../../../Source/HostStartup.cpp"
    "../../../Source/JUCEAppIcon.png"
    "../../../../../modules/juce_audio_basics/audio_play_head/juce_AudioPlayHead.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioSampleBuffer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.h"
    "../../../../../modules/juce_audio_basics/native/juce_mac_CoreAudioLayouts.h"
    "../../../../../modules/juce_audio_basics/sources/juce_AudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_PositionableAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.h"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.cpp"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_ADSR.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_CatmullRomInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_CatmullRomInterpolator.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_Decibels.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_IIRFilter.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_IIRFilter.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_LagrangeInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_LagrangeInterpolator.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_Reverb.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_SmoothedValue.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_SmoothedValue.h"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.cpp"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.mm"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_SystemAudioVolume.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiDevices.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiDevices.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.h"
    "../../../../../modules/juce_audio_devices/native/juce_android_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Oboe.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_OpenSL.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.h"
    "../../../../../modules/juce_audio_devices/native/juce_linux_ALSA.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Bela.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_JackAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreMidi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_MidiDataConcatenator.h"
    "../../../../../modules/juce_audio_devices/native/juce_win32_ASIO.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_DirectSound.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_WASAPI.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.h"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.h"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.cpp"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.mm"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/all.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitmath.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitreader.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitwriter.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/cpu.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/crc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/fixed.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/float.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/format.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/lpc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/md5.h"

=== extras/NetworkGraphicsDemo/Builds/Android/app/CMakeLists.txt ===
# Automatically generated makefile, created by the Projucer
# Don't edit this file! Your changes will be overwritten when you re-save the Projucer project!

cmake_minimum_required(VERSION 3.4.1)

SET(BINARY_NAME "juce_jni")

add_library("cpufeatures" STATIC "${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c")
set_source_files_properties("${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c" PROPERTIES COMPILE_FLAGS "-Wno-sign-conversion -Wno-gnu-statement-expression")

add_definitions("-DJUCE_ANDROID=1" "-DJUCE_ANDROID_API_VERSION=16" "-DJUCE_PUSH_NOTIFICATIONS=1" "-DJUCE_PUSH_NOTIFICATIONS_ACTIVITY=\"com/roli/juce/JuceActivity\"" "-DJUCER_ANDROIDSTUDIO_7F0E4A25=1" "-DJUCE_APP_VERSION=1.0.0" "-DJUCE_APP_VERSION_HEX=0x10000")

include_directories( AFTER
    "../../../JuceLibraryCode"
    "../../../../../modules"
    "${ANDROID_NDK}/sources/android/cpufeatures"
)

enable_language(ASM)

IF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    add_definitions("-DJUCE_DEBUG=0" "-DDEBUG=1" "-D_DEBUG=1")
ELSEIF(JUCE_BUILD_CONFIGURATION MATCHES "RELEASE")
    add_definitions("-DNDEBUG=1")
ELSE(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")
    MESSAGE( FATAL_ERROR "No matching build-configuration found." )
ENDIF(JUCE_BUILD_CONFIGURATION MATCHES "DEBUG")

add_library( ${BINARY_NAME}

    SHARED

    "../../../Source/Demos.h"
    "../../../Source/Main.cpp"
    "../../../Source/MasterComponent.h"
    "../../../Source/SlaveComponent.h"
    "../../../Source/SharedCanvas.h"
    "../../../Source/juce_icon.png"
    "../../../../../modules/juce_audio_basics/audio_play_head/juce_AudioPlayHead.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioChannelSet.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioDataConverters.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioProcessLoadMeasurer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_AudioSampleBuffer.h"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.cpp"
    "../../../../../modules/juce_audio_basics/buffers/juce_FloatVectorOperations.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiBuffer.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiFile.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiKeyboardState.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessage.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiMessageSequence.h"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.cpp"
    "../../../../../modules/juce_audio_basics/midi/juce_MidiRPN.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEInstrument.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEMessages.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPENote.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiser.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserBase.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPESynthesiserVoice.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEUtils.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEValue.h"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.cpp"
    "../../../../../modules/juce_audio_basics/mpe/juce_MPEZoneLayout.h"
    "../../../../../modules/juce_audio_basics/native/juce_mac_CoreAudioLayouts.h"
    "../../../../../modules/juce_audio_basics/sources/juce_AudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_BufferingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ChannelRemappingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_IIRFilterAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MemoryAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_MixerAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_PositionableAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ResamplingAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ReverbAudioSource.h"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.cpp"
    "../../../../../modules/juce_audio_basics/sources/juce_ToneGeneratorAudioSource.h"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.cpp"
    "../../../../../modules/juce_audio_basics/synthesisers/juce_Synthesiser.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_ADSR.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_CatmullRomInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_CatmullRomInterpolator.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_Decibels.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_IIRFilter.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_IIRFilter.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_LagrangeInterpolator.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_LagrangeInterpolator.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_Reverb.h"
    "../../../../../modules/juce_audio_basics/utilities/juce_SmoothedValue.cpp"
    "../../../../../modules/juce_audio_basics/utilities/juce_SmoothedValue.h"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.cpp"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.mm"
    "../../../../../modules/juce_audio_basics/juce_audio_basics.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioDeviceManager.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODevice.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.cpp"
    "../../../../../modules/juce_audio_devices/audio_io/juce_AudioIODeviceType.h"
    "../../../../../modules/juce_audio_devices/audio_io/juce_SystemAudioVolume.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiDevices.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiDevices.h"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.cpp"
    "../../../../../modules/juce_audio_devices/midi_io/juce_MidiMessageCollector.h"
    "../../../../../modules/juce_audio_devices/native/juce_android_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_Oboe.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_android_OpenSL.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_ios_Audio.h"
    "../../../../../modules/juce_audio_devices/native/juce_linux_ALSA.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Bela.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_JackAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_linux_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreAudio.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_mac_CoreMidi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_MidiDataConcatenator.h"
    "../../../../../modules/juce_audio_devices/native/juce_win32_ASIO.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_DirectSound.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_Midi.cpp"
    "../../../../../modules/juce_audio_devices/native/juce_win32_WASAPI.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioSourcePlayer.h"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.cpp"
    "../../../../../modules/juce_audio_devices/sources/juce_AudioTransportSource.h"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.cpp"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.mm"
    "../../../../../modules/juce_audio_devices/juce_audio_devices.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/all.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitmath.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitreader.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/bitwriter.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/cpu.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/crc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/fixed.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/float.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/format.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/lpc.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/md5.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/memory.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/metadata.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/stream_encoder.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/stream_encoder_framing.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/private/window.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/protected/all.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/protected/stream_decoder.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/include/protected/stream_encoder.h"
    "../../../../../modules/juce_audio_formats/codecs/flac/libFLAC/bitmath.c"

=== debian/changelog ===
juce (5.4.4~repack0-3) unstable; urgency=medium

  * Make Makefiles created by Debian's Projucer compile without further ado
    * Add patch to link against (required) system-libraries
    * Add patch to inject LIBS into Projucer's Makefile-exporter from the
      from the cmdline
    * Make armel/mipsel/... Projucer add "-latomic" to LIBS
  * Document the Projucer fixes in README.Debian

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 22 Aug 2019 10:01:56 +0200

juce (5.4.4~repack0-2) unstable; urgency=medium

  * Link against "libatomic" on armel/mipsel/... to fix FTBFS
  * Fix dversionmangle in d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Aug 2019 13:56:30 +0200

juce (5.4.4~repack0-1) unstable; urgency=medium

  * New upstream version 5.4.4~repack0
    (Closes: #925723)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ IOhannes m zmölnig ]
  * Refresh patches
  * Drop obsolete d/source/local-options
  * Update d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Aug 2019 13:28:00 +0200

=== debian/control ===
Source: juce
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 pkg-config,
 libasound2-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | libgl-dev,
 libgtk-3-dev,
 libjpeg-dev,
 libwebkit2gtk-4.0-dev,
 libx11-dev,
 libxext-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxcomposite-dev,
 libxcursor-dev,
 zlib1g-dev,
 help2man,
Build-Depends-Indep:
 doxygen,
 graphviz,
 python3,
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://www.juce.com
Vcs-Git: https://salsa.debian.org/multimedia-team/juce.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/juce

Package: juce-modules-source
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libasound2-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | libgl-dev,
 libx11-dev,
 libxext-dev,
 libxinerama-dev,
 libxrandr-dev,
 zlib1g-dev | libz-dev,
 libwebkit2gtk-4.0-dev,
 libgtk-3-dev,
 libflac-dev,
 libjpeg-dev,
 libpng-dev,
 libvorbis-dev,
Recommends:
 lv2-dev,
Replaces: libjuce-dev (<< 5.2.0~)
Breaks: libjuce-dev (<< 5.2.0~)
Description: Jules' Utility Class Extensions (module sources)
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 .
 It contains pretty much everything you're likely to need to create most
 applications, and is particularly well-suited for building highly-customised
 GUIs, and for handling graphics and sound.
 .
 This package provides the sources for the JUCE modules, as used by 'jucer'
 projects. (Projucer is provided in the 'juce-tools' package).

Package: juce-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: juce-modules-source
Breaks: introjucer
Replaces: introjucer
Conflicts: introjucer
Description: JUCE's project management tools
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 The Projucer (formerly Introjucer) is JUCE's project-management tool and secret
 weapon.
 .
 The Projucer's Duties:
  - Central management of cross-platform builds
  - JUCE Module Management
  - New Project Creation
  - User-Interface Design Tool
  - Plug-in Projects
  - Miscellaneous Utilities

Package: libjuce-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Suggests: juce-modules-source
Description: Jules' Utility Class Extensions (documentation)
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 .
 It contains pretty much everything you're likely to need to create most
 applications, and is particularly well-suited for building highly-customised
 GUIs, and for handling graphics and sound.
 .
 This package contains html documentation for the JUCE API.

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=dversionmangle=s/[~+](dfsg|repack|ds)(\.?[0-9]*)?$// \
  https://github.com/julianstorer/JUCE/releases .*/v?(\d\S*)\.tar\.gz
